# Class QueryStateModel

## Index

### Methods

- atLeastOneFacetIsActive
- debugInfo
- disable
- enable
- get
- getAttributes
- getDefault
- getEventName
- registerNewAttribute
- reset
- set
- setDefault
- setMultiple
- setNewDefault

### Properties

- attributes
- disabled
- logger
- ID

### Object literals

- eventTypes

### Constructors

- constructor

## Methods

### atLeastOneFacetIsActive

- atLeastOneFacetIsActive(): boolean

- - Defined in models/QueryStateModel.ts :125

  #### Returns boolean

  `true` if at least one facet is active; `false` otherwise.

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### get

- get(attribute?: string): any

- Inherited from Model.get

  - Defined in models/Model.ts :185

  #### Parameters

  - ##### Optional attribute: string

  #### Returns any

### getAttributes

- getAttributes(): object

- Inherited from Model.getAttributes

  - Defined in models/Model.ts :96

  #### Returns object

  - ##### [key: string]: any

### getDefault

- getDefault(attribute?: string): any

- Inherited from Model.getDefault

  - Defined in models/Model.ts :200

  #### Parameters

  - ##### Optional attribute: string

  #### Returns any

### getEventName

- getEventName(event: string): string

- Inherited from Model.getEventName

  - Defined in models/Model.ts :238

  #### Parameters

  - ##### event: string

  #### Returns string

### registerNewAttribute

- registerNewAttribute(attribute: string, defaultValue: any): void

- Inherited from Model.registerNewAttribute

  - Defined in models/Model.ts :225

  #### Parameters

  - ##### attribute: string

  - ##### defaultValue: any

  #### Returns void

### reset

- reset(): void

- Inherited from Model.reset

  - Defined in models/Model.ts :213

  #### Returns void

### set

- set(attribute: string, value: any, options?: IModelSetOptions): void

- Inherited from Model.set

  - Defined in models/Model.ts :85

  #### Parameters

  - ##### attribute: string

  - ##### value: any

  - ##### Optional options: IModelSetOptions

  #### Returns void

### setDefault

- setDefault(attribute: string): void

- Inherited from Model.setDefault

  - Defined in models/Model.ts :174

  #### Parameters

  - ##### attribute: string

  #### Returns void

### setMultiple

- setMultiple(toSet: object, options?: IModelSetOptions): void

- Inherited from Model.setMultiple

  - Defined in models/Model.ts :124

  #### Parameters

  - ##### toSet: object

    - ##### [key: string]: any

  - ##### Optional options: IModelSetOptions

  #### Returns void

### setNewDefault

- setNewDefault(attribute: string, value: any, options?: IModelSetOptions): void

- Inherited from Model.setNewDefault

  - Defined in models/Model.ts :161

  #### Parameters

  - ##### attribute: string

  - ##### value: any

  - ##### Optional options: IModelSetOptions

  #### Returns void

## Properties

### attributes

attributes: IStringMap<any>

Inherited from Model.attributes

- Defined in models/Model.ts :45

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Object literals

### Static eventTypes

eventTypes: object

Inherited from Model.eventTypes

- Defined in models/Model.ts :58

## Constructors

### constructor

- new QueryStateModel(element: HTMLElement, attributes?: IStringMap<string>): QueryStateModel

- - Defined in models/QueryStateModel.ts :108

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional attributes: IStringMap<string>

  #### Returns QueryStateModel

### Hierarchy

- Model